# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-django-dajax
%global lang_name  python
%global lib_prefix django
%global lib_name   dajax

Name:          python-module-django-dajax
Version:       0.9.2
Release:       alt1_1
Summary:       Library to create asynchronous presentation logic with Django and dajaxice

Group:         Development/Python
License:       BSD with advertising
URL:           http://www.dajaxproject.com/
Source0:       https://github.com/jorgebastida/%{lib_prefix}-%{lib_name}/archive/%{version}.tar.gz
Source1:       python-django-dajax.conf

BuildArch:     noarch

BuildRequires: python-devel
BuildRequires: python-module-setuptools

Requires:      httpd

%global lib_datadir       %{_datadir}/%{lib_prefix}-%{lib_name}
%global lib_jsdir         %{lib_datadir}/js
%global lib_httpdconfddir %{_sysconfdir}/httpd/conf.d
Source44: import.info

%description
dajax is a powerful tool to easily and super-quickly develop asynchronous
presentation logic in web applications using python and almost no JS code.

It supports up to four of the most popular JS frameworks: Prototype, jQuery,
Dojo and mootols.

%prep
%setup -q -n %{lib_prefix}-%{lib_name}-%{version}


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root=$RPM_BUILD_ROOT

# remove empty source files and bytecompiled files
find $RPM_BUILD_ROOT -type f -size 0 -name "*.py" -exec rm '{}'{,c,o} \;

# move javascript files to js dir
mkdir -p $RPM_BUILD_ROOT%{lib_jsdir}
mv $RPM_BUILD_ROOT%{python_sitelibdir_noarch}/%{lib_name}/static/dajax/*.js $RPM_BUILD_ROOT%{lib_jsdir}/

# install python-django-dajax httpd conf
mkdir -p $RPM_BUILD_ROOT%{lib_httpdconfddir}
install -p -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{lib_httpdconfddir}/


%files
%doc COPYING
%{python_sitelibdir_noarch}/%{lib_name}
%{python_sitelibdir_noarch}/%{lib_prefix}_%{lib_name}-%{version}-py?.?.egg-info
%{lib_datadir}
%config(noreplace) %{lib_httpdconfddir}/%{lang_name}-%{lib_prefix}-%{lib_name}.conf


%changelog
* Mon Feb 18 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.2-alt1_1
- update to new release by fcimport

* Mon Dec 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.8.4-alt1_7
- initial fc import

